harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Etienne Gagnon <egag...@sablevm.org>
Subject Re: [classlib] Switching to a 5.0 compiler
Date Wed, 05 Apr 2006 13:44:20 GMT
Tim Ellison wrote:
> my point is that we could hack the Eclipse batch compiler to make it do
> something it is not meant to do (source=1.5 target=1.4).  If we get
> burnt then we'll have nobody to complain to ;-)
> ...
> As it stands we have no option to use the Eclipse batch compiler
> (without tweaking it and therefore I assume bringing a modified JAR into
> our SVN for people to use etc. -- yuk!)

Wouldn't the following be sufficient:

1- Put the (probably very small) patch in our repository.
2- Update make/depends.xml to fetch eclipse sources.
3- Update the build procedures to apply the patch and build/rebuild
   eclipse when necessary.
=>

* Very small increase in repository
* Longer *initial* build, but no change to next ones.
* We have 2 compilers: Eclipse & Sun => Geir's condition is satisfied

:-)

Etienne

-- 
Etienne M. Gagnon, Ph.D.            http://www.info2.uqam.ca/~egagnon/
SableVM:                                       http://www.sablevm.org/
SableCC:                                       http://www.sablecc.org/

Mime
View raw message